Package it.ernytech.tdlib

## Class TdApi.TemporaryPasswordState

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.TemporaryPasswordState

Enclosing class:
  TdApi

    public static class TdApi.TemporaryPasswordState
    extends TdApi.Object

Returns information about the availability of a temporary password, which can be used for payments.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `hasPassword` True, if a temporary password is available.
`int` `validFor` Time left before the temporary password expires, in seconds.

### Constructor Summary

Constructors
`TemporaryPasswordState()` Default constructor.
`TemporaryPasswordState​(boolean hasPassword, int validFor)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### hasPassword

    public boolean hasPassword

True, if a temporary password is available.

#### validFor

    public int validFor

Time left before the temporary password expires, in seconds.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### TemporaryPasswordState

    public TemporaryPasswordState()

Default constructor.

#### TemporaryPasswordState

    public TemporaryPasswordState​(boolean hasPassword,
                                  int validFor)

Constructor for initialization of all fields.

Parameters:
  `hasPassword` - True, if a temporary password is available.
  `validFor` - Time left before the temporary password expires, in seconds.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR